For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Product
      • GETGet Products
      • GETGet Product
      • PATCHUpdate Product
        • GETGet Packaging Requirement
        • GETGet Taxonomies
        • GETGet Taxonomy by ID
        • GETGet Taxonomy Parent
        • DELDelete Product Bundle
        • POSTConvert Variant to Bundle
    • OpenAPI spec
LogoLogo
API ReferenceProductsAdditional

Get Taxonomy by ID

||View as Markdown|
GET
/2026-01/taxonomy/:id
GET
/2026-01/taxonomy/:id
$curl https://api.shipbob.com/2026-01/taxonomy/id \
> -H "Authorization: Bearer <token>"
1{
2 "children": [
3 {
4 "has_children": true,
5 "id": 0,
6 "name": "string",
7 "path": "string"
8 }
9 ],
10 "id": 0,
11 "name": "string",
12 "parent": {
13 "id": 0,
14 "name": "string",
15 "path": "string"
16 },
17 "path": "string"
18}
Retrieves a specific taxonomy node and its details by taxonomy ID.
Was this page helpful?
Previous

Get Taxonomies

Next

Get Taxonomy Parent

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

idstringRequiredformat: "int32"

Response

Success
childrenlist of objects or null
Child taxonomy nodes that belong to this category
idinteger
Unique identifier for the taxonomy node
namestring or null
Display name of the taxonomy category
parentobject or null
Parent taxonomy node in the category hierarchy
pathstring or null

Full hierarchical path of the taxonomy (e.g., ‘Electronics > Computers > Laptops’)

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error